/*
	Copyright  1994-95, Paul Chambers. All rights reserved.
*/
#ifndef __APPLESCRIPTPLUGIN__
#define __APPLESCRIPTPLUGIN__

#define SubClass		ArrangeScript
#define	qModuleName		"ArrangeScript"
#define qModuleID		(0xffff0000)
#define qModuleRsrcID	(-32768)
#define	BuildDate		(0)

#ifndef rez

#include "Plugin.h"

#ifndef __APPLEEVENTS__
#include <AppleEvents.h>
#endif

#define aboutMenuText  	"About ArrangeScript Plugin..."
#define aboutCmdCode	(qModuleRsrcID + 0)

#define mScripting		(qModuleRsrcID + 1)
#define mScriptingText	"Scripting"
#define mScriptingCmdCode	(qModuleRsrcID + 2)

#define mExecuteMenuText	"Execute..."
#define mExecuteCmdCode		(qModuleRsrcID + 3)

/* Class Definition */

class ArrangeScript : public Plugin
{
public:
	ArrangeScript(const ArrangeCallbackTbl* theCalls);
	~ArrangeScript();
	
	arHookResult MenuEvent(Integer commandCode,
										Integer commandParam,
										pShort modifiers);
										
	void 			DoCreateElementEvent(AppleEvent* message, AppleEvent* reply);
	arDocumentPtr 	MakeFrontDocCurrent();
private:
	void ExecuteText(AEDesc& desc);
	void InstallEventHandlers();
	
	AEEventHandlerUPP	fWildCardHandler;

}; // GenericPlugin

#endif
#endif
