#include "ArrangeModule.r.h"
#include "Module.r.h"
#include "ArrangeScript.h"

// based on GenericPlugin.r as of 7/15/94

resource ModuleDefType (qModuleRsrcID, qModuleName, preload, locked)
{
	keepLocked,				// Module's code resources should always be locked
							// (don't lock and unlock for each call)
	loadAtBoot,				// Load the module when Arrange is launched
	qModuleName,			// Unique module name
	qModuleID,				// Unique module ID
	0x00000000,				// Module version
	BuildDate,				// Date when this module was built
	ArrangeAppID,			// Target application (Arrange)
	0x00000700,				// Target system version (7.0.0)
	ArrangePonsVers,		// Target app version (Arrange 2.0)
	0						// relative ID of root code resource
};
